## org.eclipse.uml2.uml.edit.providers
Class UMLItemPropertyDescriptor

    java.lang.Object
      org.eclipse.emf.edit.provider.ItemPropertyDescriptor
          org.eclipse.uml2.uml.edit.providers.UMLItemPropertyDescriptor

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.IItemPropertyDescriptor, org.eclipse.emf.edit.provider.IItemPropertyDescriptor.OverrideableCommandOwner, IItemQualifiedTextProvider

    public class UMLItemPropertyDescriptor

extends org.eclipse.emf.edit.provider.ItemPropertyDescriptor
implements IItemQualifiedTextProvider

Nested Class Summary
`protected class` `UMLItemPropertyDescriptor.UMLItemDelegator`

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptor
`org.eclipse.emf.edit.provider.ItemPropertyDescriptor.ItemDelegator, org.eclipse.emf.edit.provider.ItemPropertyDescriptor.PropertyValueWrapper`

Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IItemPropertyDescriptor
`org.eclipse.emf.edit.provider.IItemPropertyDescriptor.OverrideableCommandOwner`

Field Summary

Fields inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptor
`adapterFactory, BOOLEAN_VALUE_IMAGE, category, commandOwner, description, displayName, ecorePackage, feature, filterFlags, GENERIC_VALUE_IMAGE, INTEGRAL_VALUE_IMAGE, isSettable, itemDelegator, multiLine, parentReferences, REAL_VALUE_IMAGE, resourceLocator, sortChoices, staticImage, TEXT_VALUE_IMAGE`

Constructor Summary

`UMLItemPropertyDescriptor(org.eclipse.emf.common.notify.AdapterFactory adapterFactory, org.eclipse.emf.common.util.ResourceLocator resourceLocator, java.lang.String displayName, java.lang.String description, org.eclipse.emf.ecore.EStructuralFeature feature, boolean isSettable, boolean multiLine, boolean sortChoices, java.lang.Object staticImage, java.lang.String category, java.lang.String[] filterFlags)`

Method Summary
`java.lang.String` `getId(java.lang.Object object)`
`java.lang.String` `getQualifiedText(java.lang.Object object)` Fetches qualified text for the specified object instance.

Methods inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptor

`canSetProperty, collectReachableObjectsOfType, createPropertyValueWrapper, getCategory, getChoiceOfValues, getComboBoxObjects, getCommandOwner, getCommandOwner, getDefaultId, getDefaultValue, getDescription, getDisplayName, getEditingDomain, getFeature, getFilterFlags, getHelpContextIds, getLabelProvider, getPropertyValue, getReachableObjectsOfType, getValue, isCompatibleWith, isMany, isMultiLine, isPropertySet, isSortChoices, resetPropertyValue, setCommandOwner, setPropertyValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UMLItemPropertyDescriptor

    public UMLItemPropertyDescriptor(org.eclipse.emf.common.notify.AdapterFactory adapterFactory,
                                     org.eclipse.emf.common.util.ResourceLocator resourceLocator,
                                     java.lang.String displayName,
                                     java.lang.String description,
                                     org.eclipse.emf.ecore.EStructuralFeature feature,
                                     boolean isSettable,
                                     boolean multiLine,
                                     boolean sortChoices,
                                     java.lang.Object staticImage,
                                     java.lang.String category,
                                     java.lang.String[] filterFlags)

Method Detail

### getQualifiedText

    public java.lang.String getQualifiedText(java.lang.Object object)

  Description copied from interface: `IItemQualifiedTextProvider`
  Fetches qualified text for the specified object instance.

  Specified by:
    `getQualifiedText` in interface `IItemQualifiedTextProvider`
  Parameters:
    `object` - The object instance for which to fetch qualified text.
  Returns:
    The qualified text.

### getId

    public java.lang.String getId(java.lang.Object object)

  Specified by:
    `getId` in interface `org.eclipse.emf.edit.provider.IItemPropertyDescriptor`
  Overrides:
    `getId` in class `org.eclipse.emf.edit.provider.ItemPropertyDescriptor`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.